summaryrefslogtreecommitdiff
path: root/dev-python/lit/lit-23.1.1.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-09 03:04:44 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-09 03:04:44 -0500
commitdd4dbff7d90d19cb3b8a4657236e598887ffbd41 (patch)
treefc3717b00180b43464a834fd1f3c9442f57ae45a /dev-python/lit/lit-23.1.1.ebuild
parent23850c0a8390d403a1fe131e47265df579818dd5 (diff)
downloadbaldeagleos-repo-dd4dbff7d90d19cb3b8a4657236e598887ffbd41.tar.gz
baldeagleos-repo-dd4dbff7d90d19cb3b8a4657236e598887ffbd41.tar.xz
baldeagleos-repo-dd4dbff7d90d19cb3b8a4657236e598887ffbd41.zip
Adding metadata
Diffstat (limited to 'dev-python/lit/lit-23.1.1.ebuild')
-rw-r--r--dev-python/lit/lit-23.1.1.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/lit/lit-23.1.1.ebuild b/dev-python/lit/lit-23.1.1.ebuild
new file mode 100644
index 000000000000..9c6e9718fe19
--- /dev/null
+++ b/dev-python/lit/lit-23.1.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ llvm-core/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from llvm-core/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}